<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_Holder StructType
 * @subpackage Structs
 */
class JP_Holder extends AbstractStructBase
{
    /**
     * The RelPax
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_RelPax
     */
    public $RelPax;
    /**
     * Constructor method for JP_Holder
     * @uses JP_Holder::setRelPax()
     * @param \StructType\JP_RelPax $relPax
     */
    public function __construct(\StructType\JP_RelPax $relPax = null)
    {
        $this
            ->setRelPax($relPax);
    }
    /**
     * Get RelPax value
     * @return \StructType\JP_RelPax|null
     */
    public function getRelPax()
    {
        return $this->RelPax;
    }
    /**
     * Set RelPax value
     * @param \StructType\JP_RelPax $relPax
     * @return \StructType\JP_Holder
     */
    public function setRelPax(\StructType\JP_RelPax $relPax = null)
    {
        $this->RelPax = $relPax;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_Holder
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
